/****************************************************************************
3D Button Header

Copyright (C) 1991 Mark S. Douglas
All Rights Reserved

11/11/91    MDouglas    Created - Function Prototypes and Drawing Style flags
****************************************************************************/



//***********************
//*                     *
//* FUNCTION PROTOTYPES *
//*                     *
//***********************
#if defined(__cplusplus)
extern "C" {
#endif /*__cplusplus*/

VOID    WndDraw3DRect(HDC hdc,int x,int y,int cx,int cy,WORD wStyle,WORD wThickness);
VOID    WndDrawBitmap(HDC hdc,HBITMAP hbm,int x,int y,int cx,int cy);
VOID    WndDrawBitmapButton(LPDRAWITEMSTRUCT lpdrawi,HBITMAP hbm);
VOID    WndDrawIconButton(LPDRAWITEMSTRUCT lpdrawi,HICON hicon);

#if defined(__cplusplus)
}
#endif /*__cplusplus*/



//************************************
//*                                  *
//* DRAWING STYLES FOR WndDraw3DRect *
//*                                  *
//************************************
#define DR_DOWN     1
#define DR_UP       0
#define DR_PUSHED   2
#define DR_BORDER   4
