#3DBUTTON Make file for Borland C++
#Copyright (C) 1991 Mark S. Douglas
#All Rights Reserved.

#SYNTAX: MAKE -f3DBUTTON.MAK [-DM=s|c|m|l|h] [-DDEBUG]

#Automatically compare include files
.autodepend

!if !$d(M)
M = s
!endif


PATH_OBJS   =

BCC_OPTIONS = -c -I$(INCLUDE) -m$(M) -n$(PATH_OBJS) -o$& -w

BCC_DEBUG   = -O- -r- -v -y

BCC_NDEBUG  = -d -G -O -Z


!if $d(DEBUG)
BCC_EXTRA = $(BCC_DEBUG)
MSG       = *** Making Debug Version ***
!else
BCC_EXTRA = $(BCC_NDEBUG)
MSG       = *** Making Optimized Version ***
!endif


BCC = bcc $(BCC_OPTIONS) $(BCC_EXTRA)



3dbutton.obj: 3dbutton.c
    @echo $(MSG)
    $(BCC) $&.c
