/*  Project richctrl
    DHB Software
    Copyright  1996. All Rights Reserved.

    SUBSYSTEM:    richctrl.apx Application
    FILE:         filsvdlg.cpp
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Source file for implementation of FileSaveDialog (TFileSaveDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include "filsvdlg.h"


//{{FileSaveDialog Implementation}}


FileSaveDialog::FileSaveDialog (TWindow* parent, TData& data, TResId templateId, const char far* title, TModule* module):
    TFileSaveDialog(parent, data, templateId, title, module)
{
    // INSERT>> Your constructor code here.

}


FileSaveDialog::~FileSaveDialog ()
{
	Destroy();

	// INSERT>> Your destructor code here.

}


//  create new TFileSaveDialog DoExecute function
int FileSaveDialog::DoExecute ()
{
//	disable OWL standard dialog procedure to let Windows 95 handle the messages
//	(DLGPROC)ofn.lpfnHook = (DLGPROC)(FARPROC)StdDlgProcInstance;
	ofn.lpfnHook = 0;
	ofn.Flags &= ~(OFN_ENABLEHOOK);

// Procede with the rest of the function as per the OWL original class
	int ret = ::GetSaveFileName(&ofn);
	if (ret) {
		Data.Flags = ofn.Flags;
		Data.Error = 0;
	} else {
		Data.Error = ::CommDlgExtendedError();
	}
	return ret ? IDOK : IDCANCEL;
}

