#if !defined(__flopndlg_h)              // Sentry, use file only if it's not already included.
#define __flopndlg_h

/*  Project richctrl
    DHB Software
    Copyright  1996. All Rights Reserved.

    SUBSYSTEM:    richctrl.apx Application
    FILE:         flopndlg.h
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Class definition for FileOpenDialog (TFileOpenDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop


#include "rchctrla.rh"            // Definition of all resources.


//{{TFileOpenDialog = FileOpenDialog}}
class FileOpenDialog : public TFileOpenDialog {
public:
    FileOpenDialog (TWindow* parent, TData& data, TResId templateId = 0, const char far* title = 0, TModule* module = 0);
    virtual ~FileOpenDialog ();

protected:
    int DoExecute ();			// override OWL function

};    //{{FileOpenDialog}}


#endif                                      // __flopndlg_h sentry.

