#if !defined(__rchctrad_h)              // Sentry, use file only if it's not already included.
#define __rchctrad_h

/*  Project RichCtrl
    DHB Software
    Copyright  1996. All Rights Reserved.

    SUBSYSTEM:    richctrl.exe Application
    FILE:         rchctrad.h
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Class definition for RichCtrlAboutDlg (TDialog).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "rchctrla.rh"                  // Definition of all resources.


//{{TDialog = RichCtrlAboutDlg}}
class RichCtrlAboutDlg : public TDialog {
public:
    RichCtrlAboutDlg (TWindow *parent, TResId resId = IDD_ABOUT, TModule *module = 0);
    virtual ~RichCtrlAboutDlg ();

//{{RichCtrlAboutDlgVIRTUAL_BEGIN}}
public:
    void SetupWindow ();
//{{RichCtrlAboutDlgVIRTUAL_END}}
};    //{{RichCtrlAboutDlg}}


// Reading the VERSIONINFO resource.
class ProjectRCVersion {
public:
    ProjectRCVersion (TModule *module);
    virtual ~ProjectRCVersion ();

    bool GetProductName (LPSTR &prodName);
    bool GetProductVersion (LPSTR &prodVersion);
    bool GetCopyright (LPSTR &copyright);
    bool GetDebug (LPSTR &debug);

protected:
    LPBYTE      TransBlock;
    void FAR    *FVData;

private:
    // Don't allow this object to be copied.
    ProjectRCVersion (const ProjectRCVersion &);
    ProjectRCVersion & operator =(const ProjectRCVersion &);
};


#endif                                      // __rchctrad_h sentry.
