/////////////////////////////////////////////////////////////////////
//	Library		: NetWork Collection Kit
//	File		: NWDEFS.HPP
/////////////////////////////////////////////////////////////////////
//	Author		: Ravi Prakash
//	Date		: November 1995
/////////////////////////////////////////////////////////////////////
//	Revision History
//
/////////////////////////////////////////////////////////////////////
//	Copyright 1995-96, Sapient Technology, Inc.  All Rights Reserved.
/////////////////////////////////////////////////////////////////////

#ifndef NWDEFS_HPP
#define NWDEFS_HPP
#include <windows.h>

#ifdef	__BORLANDC__
	#ifndef __WIN32__
		#error "Must define __WIN32__ under Borland C/C++"
	#endif
#elif defined( _MSC_VER )
	#ifndef _WIN32
		#error "Must define _WIN32 under Visual C/C++"
	#endif
#else
	#error "Must use Borland C/C++ or Microsoft Visual C++ compiler"
#endif

#ifdef	__BORLANDC__
	#ifdef DLLOWNER		// DECLARED BY FILES IN DLL
		#define DLLMETHOD	__export
	#else
		#define DLLMETHOD	__import
	#endif
	#define StartThread		_beginthread
#else	// MSVC++
	#ifdef DLLOWNER		// DECLARED BY FILES IN DLL
		#define DLLMETHOD	__declspec( dllexport )
	#else
		#define DLLMETHOD	__declspec( dllimport )
	#endif
	#define StartThread		_beginthread
#endif

#endif
