#if !defined(__filsvdlg_h)              // Sentry, use file only if it's not already included.
#define __filsvdlg_h

/*  Project richctrl
    DHB Software
    Copyright  1996. All Rights Reserved.

    SUBSYSTEM:    richctrl.apx Application
    FILE:         filsvdlg.h
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Class definition for FileSaveDialog (TFileSaveDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop


#include "rchctrla.rh"            // Definition of all resources.


//{{TFileSaveDialog = FileSaveDialog}}
class FileSaveDialog : public TFileSaveDialog {
public:
    FileSaveDialog (TWindow* parent, TData& data, TResId templateId = 0, const char far* title = 0, TModule* module = 0);
    virtual ~FileSaveDialog ();

protected:
    int DoExecute ();			// override OWL function

};    //{{FileSaveDialog}}


#endif                                      // __filsvdlg_h sentry.

