/*  Project richctrl
    DHB Software
    Copyright  1996. All Rights Reserved.

    SUBSYSTEM:    richctrl.apx Application
    FILE:         flopndlg.cpp
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Source file for implementation of FileOpenDialog (TFileOpenDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include "flopndlg.h"


//{{FileOpenDialog Implementation}}


FileOpenDialog::FileOpenDialog (TWindow* parent, TData& data, TResId templateId, const char far* title, TModule* module):
    TFileOpenDialog(parent, data, templateId, title, module)
{
    // INSERT>> Your constructor code here.

}


FileOpenDialog::~FileOpenDialog ()
{
    Destroy();

	// INSERT>> Your destructor code here.

}


//  create new TFileOpenDialog DoExecute function
int FileOpenDialog::DoExecute ()
{
//	disable OWL standard dialog procedure to let Windows 95 handle the messages
//	(DLGPROC)ofn.lpfnHook = (DLGPROC)(FARPROC)StdDlgProcInstance;
	ofn.lpfnHook = 0;
	ofn.Flags &= ~(OFN_ENABLEHOOK);

// Procede with the rest of the function as per the OWL original class
	int ret = ::GetOpenFileName(&ofn);
	if (ret) {
		Data.Flags = ofn.Flags;
		Data.Error = 0;
	} else {
		Data.Error = ::CommDlgExtendedError();
	}
	return ret ? IDOK : IDCANCEL;
}

