#if !defined(__tolcmbbx_h)              // Sentry, use file only if it's not already included.
#define __tolcmbbx_h

/*  Project richctrl
    DHB Software
    Copyright  1996. All Rights Reserved.

    SUBSYSTEM:    richctrl.apx Application
    FILE:         tolcmbbx.h
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Class definition for ToolComboBox (TComboBox).      
*/

#include <owl\owlpch.h>
#pragma hdrstop


#include "rchctrla.rh"            // Definition of all resources.


//{{TComboBox = ToolComboBox}}
class ToolComboBox : public TComboBox {
public:
    ToolComboBox (TWindow* parent, int id, int x, int y, int w, int h, uint32 style, uint textLen, TModule* module = 0);
    virtual ~ToolComboBox ();

	void RetWndFocus();
	void InformFocus( uint msg, WPARAM wParam = 0, LPARAM lParam = 0);

protected:
	HWND returnFocus;

//{{ToolComboBoxRSP_TBL_BEGIN}}
protected:
    void EvSetFocus (HWND hWndLostFocus );
//{{ToolComboBoxRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(ToolComboBox);
};    //{{ToolComboBox}}


#endif                                      // __tolcmbbx_h sentry.

