/*
 * WET.H
 */
#if !defined (_WIN32)
#   define EXPORT _export
#   define EXPORT32
#else
#   define EXPORT
#   if defined DLL
#      define EXPORT32 __declspec(dllexport)
#   else
#      define EXPORT32 __declspec(dllimport)
#   endif
#endif
 

/* Standard version of the DLL */
extern EXPORT32 int FAR PASCAL EXPORT EncryptXORBlock(unsigned char far *block, int block_length, unsigned char far *code_key);
extern EXPORT32 int FAR PASCAL EXPORT EncryptSubstitutionBlock(unsigned char far *block, int block_length, unsigned char far *code); /* Generates key of prime length between 1024 and 2028 bytes.*/
extern EXPORT32 int FAR PASCAL EXPORT EncryptTranspositionBlock(unsigned char far *block, int block_length, unsigned char far *code);
extern EXPORT32 unsigned int FAR PASCAL EXPORT CRCBlock(unsigned char far *block,int block_length);
extern EXPORT32 unsigned int FAR PASCAL EXPORT GetVersionWETSTD(void);

/* DES version of the DLL */
extern EXPORT32 int FAR PASCAL EXPORT CryptDES(unsigned char far *datablock);
extern EXPORT32 int FAR PASCAL EXPORT DESKeyloadEncrypt(unsigned char far *key);
extern EXPORT32 int FAR PASCAL EXPORT DESKeyloadDecrypt(unsigned char far *key);
extern EXPORT32 int FAR PASCAL EXPORT EncryptDESBlock(unsigned char far *block,int block_length);
extern EXPORT32 int FAR PASCAL EXPORT DecryptDESBlock(unsigned char far *block,int block_length);
extern EXPORT32 int FAR PASCAL EXPORT EncryptDESBlockCBC(unsigned char far *block,int block_length);
extern EXPORT32 int FAR PASCAL EXPORT DecryptDESBlockCBC(unsigned char far *block,int block_length);
extern EXPORT32 unsigned int FAR PASCAL EXPORT GetVersionWETDES(void);

