# Win32 build commands:
 
all: wetstd32.dll wetdes32.dll wetexe32.exe
 
wetstd.obj: wetstd.c
   cl /c /DWIN32 /DDLL wetstd.c
 
wetstd32.dll: wetstd.obj
   link /DLL /OUT:wetstd32.dll wetstd.obj kernel32.lib user32.lib \
   gdi32.lib

wetdes.obj: wetdes.c
   cl /c /DWIN32 /DDLL wetdes.c
 
wetdes32.dll: wetdes.obj
   link /DLL /OUT:wetdes32.dll wetdes.obj kernel32.lib user32.lib \
   gdi32.lib
 
wetexe.obj: wetexe.c
   cl /c /DWIN32 wetexe.c
 
wetexe32.exe : wetexe.obj wetstd32.dll
   link /OUT:wetexe32.exe wetexe.obj wetstd32.lib kernel32.lib \
   user32.lib gdi32.lib
 
